/* type */
@font-face {
  font-family: bahnschrift;
  src: url(BAHNSCHRIFT.TTF);
}
@font-face{
  font-family: harlekin;
  src: url(Harlekin.otf)
}
body {
  display: flex;
  flex-direction: column;
  background-image: url(bricktexture.png) ;
  font: 1.2em / 1.5 system-ui;
  font-family: bahnschrift;
  font-style: semicondensed;
  font-weight: 600;
  margin: 0 auto;
  color: #D8DAD3;
  width: 90%;
  background-color: #131a2e
}

header {
  overflow: visible ;
}

.topbuttons {
  height: 50px;
  margin-top: 40px;
  margin-right: 20px;
  font-size:xx-large;
 text-align: right;
 padding: auto;

}

.popup{
  position:absolute;
  top: 0;
  width: fit-content;
  z-index: 10;
  margin: auto;
 margin-left: 20px;
  margin-top: 40px;
  padding: 10px; 
  text-align: center;
  border-radius: 1em;
  border: hotpink 1px solid;
  background-color: #2b3d6e78;
  animation: glow 1s ease-in-out infinite alternate;
}


@keyframes glow{
  from{
     box-shadow: 0 0 3px rgb(221, 61, 141), 0 0 5px rgb(221, 61, 141), 0 0 10px rgb(221, 61, 141);
  }
  to{
    box-shadow:  0 0 5px #ff4da6, 0 0 15px #ff4da6;
  }
}

h1 {
 font-size: 3em;
  text-align: center;
 
}

hr{
  color: rgba(255, 105, 180, 0.629);
}

.logo {
  width: fit-content;
 height: fit-content;
 display:block;
 margin: auto;
  margin-bottom: -75px;
  text-align: center;
margin-top: -150px;

}

.newlogo{
  display: block;
  height: 200px;
  text-align: center;
  z-index: 10;
  margin: auto;
  font-size: 130px;
  animation: glowlogo 1.5s ease-in-out infinite alternate;
  user-select: none;

  a{color: #D8DAD3;
  font-family: harlekin;
  transition: all 500ms;}

  a:hover, a:focus{
    color: #D8DAD3; 
    font-size: 140px;  
    font-size-adjust: 10px;
     }
}

@keyframes glowlogo{
  from{
     text-shadow: 0 0 3px rgba(221, 61, 141, 0.825), 0 0 5px rgb(221, 61, 141, 0.825), 0 0 15px rgb(221, 61, 141, 0.825);
  }
  to{
    text-shadow:  0 0 5px #ff4deac3, 0 0 20px #ff4deac3;
  }
}

/* nav menu */

.collapsible{
  display: none;
}

.content{display: none;}


#navul{
 margin-top: 1px;
 margin: 20px;
  padding: 15px;
  list-style-type:none;
  background-color: #2b3d6e;
  text-align: center;
  display: flex;
  flex-flow: row wrap;
  justify-content: center;
  align-items: center;
  margin-bottom: 15px;
  border-radius: 1em;
  box-shadow: 0px 0px 10px 1px hotpink;
}

li {
  flex: auto;
}

nav a {
  font-size: 1.2em;
  padding: 30px;
color: hotpink;
}

/* General link styles */

a {
  text-decoration: none;
  color: hotpink;
  font-family: Bahnschrift, sans-serif;
  font-style: SemiCondensed;
}

/* General link styles */
a:hover,
a:focus {
  color:rgb(163, 113, 239);
}

/* header section layout */


header p {
  text-align: center;
  grid-area: text;
  margin: 0;
}

/* body layout */


h2 {
  text-align: center;
  font-family: Bahnschrift, sans-serif;
  font-style: SemiCondensed;
  font-weight: 400;
} 


/*sidebars on homepage and about page*/

 .sidebar {
            width: 240px;
            height: 1300px;
            margin: 20px;
            padding: 10px;
            padding-bottom: 20px;
            position: relative;
            float: left;
            background-color: #2b3d6e;
            margin-top: 20px;
            margin-left: 50px;
            border-radius: 1em;
            box-shadow: 0px 0px 10px 1px hotpink;
        }


.sidebarlist {
  display: flex;
      justify-content: center;
      text-align: center;
      float: left;
      flex-direction: column;
      margin-top: -50px;
      font-size: large;
      line-height: 1.3em;
      hr{
        width: 100%;;
      }
      h2{margin: 5px;}
      
      img{
        
        clip-path: circle(50px);
        }
      a{
        color: #D8DAD3;
        text-decoration: none;
        
      }
      img:hover,img:focus{
        transform: scale(1.05);
  transition: all 0.2s ease-in-out;
        color: rgb(163, 113, 239);
      }
abbr{
  text-decoration: none;}
      
    }


/* box and column are used to contain sidebar on about and homepage */


.column {
  margin-top: 30px;
  margin-bottom: 40px;
  padding: 10px;
}



.box {
display: block;
  float: left;
  align-items: center;
  justify-content: center;
  text-align: center;
  height: auto;
  width: 220px;
  background-color: #2b3d6e;
  padding: 10px;
  margin-top: 30px;
  margin: 30px;
  border-radius: 1em;
  box-shadow: 0px 0px 10px 1px hotpink;
        }


/* widgets */
        #statuscafe {
          margin-bottom: 10px;
    padding: .5em;
    background-color: rgba(211, 211, 211, 0.142);
    border: 1px solid hotpink;
}
#statuscafe-username {
    margin-bottom: .5em;
}
#statuscafe-content {
    margin: 0 1em 0.5em .5em;
}


.mytime{
  margin-top: 20px;
}

/* todo list widget */
.todo{
  margin-top:30px;
  padding: auto;
  padding-top: 15px;
  width: 240px;
  height: 150px;
  background: rgba(211, 211, 211, 0.142);
  border: 1px solid hotpink;
  overflow: auto;

}
.todolist{
  margin-left: 30px;
  margin-top: -30px;
  line-height: 40px;
  margin-bottom: 40px;
  li{ list-style:none;}
}

.todotext {
text-align: center;
margin-left: -40px;
}

/* boxe2 used only on about page  */
.box2 {
  display: flex;
            width: 1000px;
            height: auto;
            background-color:#2b3d6e;
            padding: 10px;
            margin-top: 30px;
            justify-content: center;
            text-align: center;
            flex-direction: row;
            margin: 30px;
            border-radius: 1em;
            box-shadow: 0px 0px 10px 1px hotpink;
        }

/* landing boxes */

 .landing{
   display: flex;
   margin: auto;
   margin-top: 20px;
    flex-direction: column;
    width: fit-content;
    text-align: center;
    padding-left: 40px;
    padding-right: 40px;
    padding-top: 10px;
    background-color: #2b3d6e;
    border-radius: 1em;
    box-shadow: 0px 0px 10px 1px hotpink;
        }

.webrings{
  display: flex;
  margin: auto;
  max-width: 500px;
  overflow: scroll;
  margin-top: 10px;
  padding-bottom: 10px;

  
}

.landingbuttons{
  margin-top: -10px;
  padding-bottom: 20px;
letter-spacing: 5px;
  img:hover, img:focus{  
  transform: scale(1.05);
  transition: all 0.2s ease-in-out;
        color: rgb(163, 113, 239);}
}
        
.container {
  display: flex;
  justify-content: center;
  justify-self: center;
  align-items: center;
}

.artimg{
  display: block;
  text-align: center;
  line-height: 80px;
  letter-spacing: 20px;
}

.artbutton{
  background: none;
  border: none;
  cursor: pointer;
}


  .fa-solid.fa-xmark {
    position: fixed;
    top: 2em;
    right: 3em;
    font-size: xx-large;
}

#leftArrow, #rightArrow {
    position: fixed;
    top: 50%;
    font-size: xx-large;
    color: #D8DAD3;
    background: none;
    border: none;
    cursor: pointer;
}

/* center the displayed large image */
.largeimagebg {
  display: none; 
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background: rgba(0,0,0,0.9);
  justify-content: center;
  align-items: center;
  z-index: 1000;
}

.largeimage {
  display: flex;
  justify-content: center;
  align-items: center;
  max-width: 90vw;
  max-height: 90vh;
}

.largeimage img {
  display: none;
  max-width: 90vw;
  max-height: 90vh;
  margin: auto;
  position: relative;
  margin-top: 50px;
}
.art17{
  margin-left: 300px;
}


#leftArrow { left: 2em; }
#rightArrow { right: 2em; }
  





/* webrings */
.Webrings{
  display: flex;
  overflow: scroll;
  margin-top: 10px;
  padding-bottom: 10px;

  
}

/*sitebutton*/

.sitebutton{
            height: auto;
            padding: 20px;
            margin: auto;
            margin-top: 50px;
            line-height: 5px;
            justify-content: center;
            text-align: center;
            flex-direction: column;
            p{margin-top: 5px;}
          img{
            margin:auto;
            margin-top:5px;
            margin-bottom: 10px;
          }
        
        img:hover,img:focus{
          transform: scale(1.05);
        transition: all 0.2s ease-in-out;}}





/* art and youtube boxes */

        .box3 {
            width: 300px;
            height: 300px;
            background-color:#2b3d6e;
            padding: 20px;
            margin: 20px;
            margin-top: 50px;
            position: center;
            border-radius: 1em;
            box-shadow: 0px 0px 10px 1px hotpink;
            
           }

    .yt {
      
      border: hotpink 1px solid;
    }

    .yt:hover {
      transform: scale(1.01);
      transition: all 0.2s ease-in-out;
    }
   
    .insta {
      height: 200px;
      width: 200px;
      border: hotpink 1px solid;
      margin-left: 50px;
    }

    .insta:hover {
      transform: scale(1.01);
      transition: all 0.2s ease-in-out;
    }
.art{
  box-shadow: hotpink 0px 0px 10px 1px;
  
}


 /*Tabs for art and misc */


 .tab {
  overflow: hidden;
 margin-top: 60px;
  background-color:#2b3d6e45
  
  
}


.tab button {
  
  background-color: inherit;
  float: left;
  cursor: pointer;
  font-family: bahnschrift;
  font-style: semicondensed-light;
  font-size: large;
  color: hotpink;
  padding: 14px 16px;
  transition: 0.3s;
  border: none;
}


.tab button:hover {
  background-color:#0f1b3bbe
}


.tab button.active {
  background-color: #2b3d6e ;
  color: #D8DAD3;
}

.tabcontent {
  background-color: #2b3d6e;
  display: none;
  padding: 6px 12px;
  border-top: none;
  
}

/* big box used for faq, resources, commission page */

.bigbox {
  display: flex;
            width: fit-content;
            height: auto;
            background-color:#2b3d6e;
            padding: 40px;
            padding-top: 1px;
            margin: auto;
            margin-top: 35px;
            justify-content: center;
            text-align: center;
            flex-direction: column;
            border-radius: 1em;
            box-shadow: 0px 0px 10px 1px hotpink;
        }


.qs{
  margin: auto;
  margin-top: -50px;
  width: 800px;
}
/* Socials */

.socialsbox {
  display: flex;
            width: 400px;
            height: auto;
            background-color:#2b3d6e;
            padding: 40px;
            padding-bottom: 60px;
            margin: auto;
            margin-top: 30px;
            justify-content: center;
            text-align: center;
            flex-direction: column;
            border-radius: 1em;
            box-shadow: 0px 0px 10px 1px hotpink;
        }


.socials{
    flex-direction: row;
margin-top: 10px;
font-size: x-large;

a{color: #D8DAD3;}
a:hover,a:focus{
  color:hotpink;
}
  }

  .socialstop{
    flex-direction: row;
margin-top: -40px;
font-size: x-large;

a{color: #D8DAD3;}
a:hover,a:focus{
  color:hotpink;
}
  }
.guestbook{
  text-align: center;
}


/*sitemap*/


.sitemap{
  display: flex; 
  width: 800px;
  font-size: larger;
 margin: auto;
 margin-top: 30px;
 padding-bottom: 50px;
  padding: 20px;
  background-color: #2b3d6e;
  text-align: center;
  flex-direction: column;
  align-items: center;
  margin-bottom: 15px;
  border-radius: 1em;
  box-shadow: 0px 0px 10px 1px hotpink;

  h1{ margin-bottom:10px;}
 
  .sitelinks{
    display: flex;
    flex-direction: column;
    line-height: 50px;
    padding-bottom: 30px;
    padding: 20px;
    border-left: 1px dashed hotpink;
  }
   
}

.sitesubpages{
  Display:flex;
  width: fit-content;
  flex-direction: column;
  align-items:flex-start;
  margin-left: 150px;
  margin-bottom: 20px;
  line-height: 40px;
  border-left: 1px dashed hotpink;
  a{ color: rgb(228, 119, 174);}
  a:hover, a:focus{ color: rgb(163, 113, 239)}
  }

/* homepage chatbox */
.chatbox{
  display: flex;
  margin: auto;
  margin-top:40px;
  width: 500px;
  box-shadow: 0px 0px 10px 1px hotpink;
}

/* about me images */
.gpoy{
  background-color: rgba(211, 211, 211, 0.142);
  border-radius: 2em;
  border: 1px solid hotpink;
  margin: auto;
  width: 30%;
  overflow: auto;
  white-space: nowrap;
  padding: 20px;
}

/* image collections */
.buttons{
  display:block;
  padding:10px;
  text-align: center;
  margin: auto;
}

.stamps{
  display:block;
  padding: 10px;
  text-align: center;
  margin: auto;
}

.blinkies{
  display:block;
  padding: 10px;
  text-align: center;
  margin: auto;

  img{
    height: 20px;
    width: 150px;
  }
}

.userboxes{
  display:block;
  padding:10px;
  text-align: center;
  margin: auto;
}

/* footer */
footer {
  display: flex;
  
  justify-content: center;
  text-align: center;
  padding: 10px;
  background-color: #2b3d6e;
  color: #D8DAD3;
  margin-top: 5vh;
  font-size: x-small ;
}


/* responsiveness */
@media (max-width:1000px) {

.sidebar {
    width: 200px;
    text-align: center;
    justify-content: center;
           
  }

.lastfm {
    iframe {
      width: 170px;
    }
  }

  .column {
    iframe {
      width: 170px;
    }
  }
.container {
    flex-direction: row;
    align-items: right;
    
  }
.box3 {
    width: 40%;
}
.yt {
  width: 100%;
  height: auto;
  margin: 0;
}
.insta {
  width: 90%;
  height: auto;
  margin: 10px;
}
}

@media (max-width: 800px) {

  
  body {
    width: auto;
  }

  .popup{
    display: none;
  }


.topbuttons {
  display: none;

}

#navul{
  display: none;
}

/* button */

.mnav{
  display: flex;
  margin-top: 60px;
  width: 90%;
  margin: auto;
  line-height: 50px;
  margin-top: 70px;
  height: fit-content;
  flex-direction: column;
  justify-content: center;
  background-color: #2b3d6e;
  border-radius: 1em;
  box-shadow: 0px 0px 10px 1px hotpink;
}

.collapsible {
  display: block;
    flex-direction: row;
    flex-wrap: wrap;
    font-size: xx-large;
    height: auto;
    background: none;
    border: none;
    color: hotpink;
    cursor: pointer;
    
  }

  .content
  {display: none;
    height: auto;
    margin: auto;
    justify-content: center;
    text-align: center;
    flex-direction: row;
    flex-wrap: wrap;
    padding: 10px;
    }



  .active, .collapsible:hover {
    background-color: 163, 113, 239;
  }

i:hover,i:focus{
  color: rgb(163, 113, 239) 00}

  /*index*/


  .sidebar {
    display: none;}

.landing{
  width: 75%;
}


.insta{
 height: 40%;
  margin: auto;
  margin-top: 80px;
}

.chatbox{
  height: 300px;
  width: 200px;
}

.box{
  display: none;
}

.box2{
  margin: auto;
  margin-top: 80px;
  width: 90%;
}

.gpoy{
  overflow: auto;
  width: 300px;
}

.bigbox{
  margin: auto;
  margin-top: 80px;
  width: 75%;
}

.qs{
  width: 75%;
}

.socialsbox{
  margin: auto;
  margin-top: 80px;
  width: 75%;
}

.art{
  width: 90%;
  margin: auto;
}
.tabcontent{
  margin: auto;
  overflow:hidden;

  img{
    width: 75%;
    height: 75%;
  }

}

.sitemap{
  margin: auto;
  margin-top: 80px;
  width: 75%;
}
  footer {
    margin-top: 100px;
  }
}